Bug 1301129 - Review Request: hstr - Suggest box like shell history completion
Review Request: hstr - Suggest box like shell history completion
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-22 11:45 EST by fszymanski
Modified: 2016-02-26 21:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-17 09:20:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dominik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description fszymanski 2016-01-22 11:45:51 EST
Spec URL: https://raw.githubusercontent.com/fszymanski/specfiles/master/hstr/hstr.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/fszymanski/hstr/fedora-23-x86_64/00155154-hstr/hstr-1.19-1.fc23.src.rpm

Description:
A command line utility that brings improved shell command completion
from the history. It aims to make completion easier and faster than Ctrl-r.

Fedora Account System Username: fszymanski
Comment 1 fszymanski 2016-01-22 11:50:19 EST
This is my third package, need a sponsor.
Comment 2 Upstream Release Monitoring 2016-01-22 12:18:38 EST
fszymanski's scratch build of hstr-1.19-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12650181
Comment 3 Brandon Thomas 2016-01-24 12:05:45 EST
This is an unofficial review, and does not the status of this review request. The only thing I see that "%make_build" can be replaced by "make %{?_smp_mflags}", since it's cleaner, unless you're targeting EPEL.
Comment 4 fszymanski 2016-01-25 13:50:01 EST
I have a EPEL7 build in Copr. Thanks for the feedback!
Comment 5 Dominik 'Rathann' Mierzejewski 2016-02-08 07:17:39 EST
Minor nitpicks:
1. Please use hstr instead of %{name}, it's shorter and more readable.
2. Drop 
   rm -rf $RPM_BUILD_ROOT
   from %install

The above can be fixed upon import. Package APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "MIT/X11 (BSD like)", "Unknown or generated",
     "*No copyright* Apache (v2.0)". 26 files have unknown license.
     Detailed output of licensecheck in
     /home/rathann/build/review/1301129-hstr/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in hstr-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: hstr-1.19-1.fc23.x86_64.rpm
          hstr-debuginfo-1.19-1.fc23.x86_64.rpm
          hstr-1.19-1.fc23.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (debuginfo)
-------------------
Checking: hstr-debuginfo-1.19-1.fc23.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/rathann/build/review/1301129-hstr/srpm/hstr.spec	2016-02-08 11:33:44.596031330 +0100
+++ /home/rathann/build/review/1301129-hstr/srpm-unpacked/hstr.spec	2016-01-22 16:48:43.000000000 +0100
@@ -29,4 +29,5 @@
 
 %install
+rm -rf $RPM_BUILD_ROOT
 %make_install
 
@@ -36,7 +37,7 @@
 %doc Changelog README.md
 %{_bindir}/hh
-%{_bindir}/%{name}
+%{_bindir}/hstr
 %{_mandir}/man1/hh.1*
-%{_mandir}/man1/%{name}.1*
+%{_mandir}/man1/hstr.1*
 
 


Requires
--------
hstr (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    libncursesw.so.5()(64bit)
    libreadline.so.6()(64bit)
    libtinfo.so.5()(64bit)
    ncurses
    readline
    rtld(GNU_HASH)

hstr-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
hstr:
    hstr
    hstr(x86-64)

hstr-debuginfo:
    hstr-debuginfo
    hstr-debuginfo(x86-64)



Source checksums
----------------
http://downloads.sourceforge.net/hstr/hh-1.19-src.tgz :
  CHECKSUM(SHA256) this package     : b67cb5e2515948fd0fb402b732630a51885be5dfe58cbf914c22ea444129a647
  CHECKSUM(SHA256) upstream package : b67cb5e2515948fd0fb402b732630a51885be5dfe58cbf914c22ea444129a647


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1301129 -m fedora-23-x86_64
Buildroot used: fedora-23-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 6 Dominik 'Rathann' Mierzejewski 2016-02-08 07:21:57 EST
I am also sponsoring you into the packager group based on your contributions so far. Welcome aboard and don't hesitate to contact me if you have any questions.
Comment 7 fszymanski 2016-02-08 09:47:25 EST
Thank you Dominik.
Comment 8 Gwyn Ciesla 2016-02-08 10:09:46 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/hstr
Comment 9 Fedora Update System 2016-02-08 16:26:54 EST
hstr-1.19-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1dc9b35e91
Comment 10 Fedora Update System 2016-02-08 16:47:26 EST
hstr-1.19-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-909a7951af
Comment 11 Fedora Update System 2016-02-09 13:54:54 EST
hstr-1.19-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-62d9e962b6
Comment 12 Fedora Update System 2016-02-09 17:26:38 EST
hstr-1.19-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1dc9b35e91
Comment 13 Fedora Update System 2016-02-10 06:54:58 EST
hstr-1.19-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-909a7951af
Comment 14 Fedora Update System 2016-02-10 18:54:26 EST
hstr-1.19-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-62d9e962b6
Comment 15 Fedora Update System 2016-02-17 09:20:54 EST
hstr-1.19-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-02-17 22:23:55 EST
hstr-1.19-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-02-26 21:08:06 EST
hstr-1.19-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.